ActaText Class Reference documentation

ActaText Class Reference

the main class to read the text part of Acta Text file More...

`#include <ActaText.hxx>`

## Public Member Functions
| ActaText (ActaParser &parser)
| constructor
virtual | ~ActaText ()
| destructor
int | version () const
| returns the file version
int | numPages () const
| returns the number of pages

## Protected Member Functions
bool | createZones ()
| try to create the text zones
bool | sendMainText ()
| send a main zone
bool | getColor (int id, MWAWColor &col) const
| return the color which corresponds to an id (if possible)
bool | readTopic ()
| try to read the topic definitions (line or graphic)
bool | sendTopic (ActaTextInternal::Topic const &topic)
| try to send a topic
bool | sendText (ActaTextInternal::Topic const &topic)
| try to read a text entry
bool | sendGraphic (ActaTextInternal::Topic const &topic)
| try to read a graphic
bool | readFont (MWAWFont &font, bool inPLC)
| try to read a font

## Protected Attributes
MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< ActaTextInternal::State > | m_state
| the state
ActaParser * | m_mainParser
| the main parser

## Private Member Functions
| ActaText (ActaText const &orig)=delete
ActaText & | operator= (ActaText const &orig)=delete

## Friends
class | ActaParser

## Detailed Description

the main class to read the text part of Acta Text file

## Constructor & Destructor Documentation

## ◆ ActaText() [1/2]

ActaText::ActaText | ( | ActaParser & | parser | ) |
| explicit

constructor

Referenced by ActaText(), and operator=().

## ◆ ~ActaText()

ActaText::~ActaText | ( |  | ) |
| virtual

destructor

## ◆ ActaText() [2/2]

ActaText::ActaText | ( | ActaText const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ createZones()

bool ActaText::createZones | ( |  | ) |
| protected

try to create the text zones

## ◆ getColor()

bool ActaText::getColor | ( | int | id,
|  | MWAWColor & | col ) const
| protected

return the color which corresponds to an id (if possible)

Referenced by readTopic().

## ◆ numPages()

int ActaText::numPages | ( |  | ) | const

returns the number of pages

## ◆ operator=()

ActaText & ActaText::operator= | ( | ActaText const & | orig | ) |
| privatedelete

## ◆ readFont()

bool ActaText::readFont | ( | MWAWFont & | font,
|  | bool | inPLC )
| protected

try to read a font

Referenced by readTopic(), and sendText().

## ◆ readTopic()

bool ActaText::readTopic | ( |  | ) |
| protected

try to read the topic definitions (line or graphic)

Referenced by createZones().

## ◆ sendGraphic()

bool ActaText::sendGraphic | ( | ActaTextInternal::Topic const & | topic | ) |
| protected

try to read a graphic

Referenced by sendTopic().

## ◆ sendMainText()

bool ActaText::sendMainText | ( |  | ) |
| protected

send a main zone

## ◆ sendText()

bool ActaText::sendText | ( | ActaTextInternal::Topic const & | topic | ) |
| protected

try to read a text entry

Referenced by sendTopic().

## ◆ sendTopic()

bool ActaText::sendTopic | ( | ActaTextInternal::Topic const & | topic | ) |
| protected

try to send a topic

Referenced by sendMainText().

## ◆ version()

int ActaText::version | ( |  | ) | const

returns the file version

Referenced by createZones(), getColor(), and readTopic().

## Friends And Related Symbol Documentation

## ◆ ActaParser

friend class ActaParser
| friend

Referenced by ActaParser, and ActaText().

## Member Data Documentation

## ◆ m_mainParser

ActaParser* ActaText::m_mainParser
| protected

the main parser

Referenced by ActaText(), sendMainText(), and sendTopic().

## ◆ m_parserState

MWAWParserStatePtr ActaText::m_parserState
| protected

the parser state

Referenced by ActaText(), createZones(), readFont(), readTopic(), sendGraphic(), sendText(), sendTopic(), and version().

## ◆ m_state

std::shared_ptr<ActaTextInternal::State> ActaText::m_state
| protected

the state

Referenced by ActaText(), createZones(), getColor(), numPages(), readTopic(), sendMainText(), sendTopic(), and version().

The documentation for this class was generated from the following files:

- ActaText.hxx
- ActaText.cxx